Professional Web Applications Themes

xfce4 error - FreeBSD

Installed xorg and xfce4 .... Then I get the following. Any ideas? Thank you! -Matt ---snip--- heather$ startxfce4 /usr/X11R6/bin/startxfce4: Starting X server X Window System Version 6.8.2 Release Date: 9 February 2005 X Protocol Version 11, Revision 0, Release 6.8.2 Build Operating System: FreeBSD 5.3 i386 [ELF] Current Operating System: FreeBSD heather 5.3-RELEASE FreeBSD 5.3-RELEASE #0: Fri Nov 5 04:19:18 UTC 2004 cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC i386 Build Date: 25 March 2005 Before reporting problems, check http://wiki.X.Org to make sure that you have the latest version. Module Loader present Markers: (--) probed, (**) from config file, (==) default setting, (++) from command line, ...

  1. #1

    Default xfce4 error

    Installed xorg and xfce4 ....

    Then I get the following. Any ideas? Thank you!

    -Matt

    ---snip---

    heather$ startxfce4
    /usr/X11R6/bin/startxfce4: Starting X server


    X Window System Version 6.8.2
    Release Date: 9 February 2005
    X Protocol Version 11, Revision 0, Release 6.8.2
    Build Operating System: FreeBSD 5.3 i386 [ELF]
    Current Operating System: FreeBSD heather 5.3-RELEASE FreeBSD
    5.3-RELEASE #0: Fri Nov 5 04:19:18 UTC 2004
    cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC i386
    Build Date: 25 March 2005
    Before reporting problems, check http://wiki.X.Org
    to make sure that you have the latest version.
    Module Loader present
    Markers: (--) probed, (**) from config file, (==) default setting,
    (++) from command line, (!!) notice, (II) informational,
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
    (==) Log file: "/var/log/Xorg.0.log", Time: Fri Mar 25 03:26:15 2005
    (==) Using config file: "/etc/X11/XF86Config"
    xscreensaver: not found
    Agent pid 18253

    ** (xfce-mcs-manager:18257): CRITICAL **: find_master: assertion
    `mixer_handle != -1' failed

    ** (xfce-mcs-manager:18257): WARNING **: oss: No master volume
    _IceTransmkdir: ERROR: euid != 0,directory /tmp/.ICE-unix will not be
    created.
    _IceTransSocketUNIXCreateListener: mkdir(/tmp/.ICE-unix) failed, errno = 2
    _IceTransMakeAllCOTSServerListeners: failed to create listener for local
    xfce4-session: Unable to establish ICE listeners: Cannot establish any
    listening sockets
    Agent pid 18253 killed

    waiting for X server to shut down The application 'xfce-mcs-manager'
    lost its connection to the display :0.0;
    most likely the X server was shut down or you killed/destroyed
    the application.

    Matt Guest

  2. #2

    Default Re: xfce4 error

    Matt Juszczak wrote: 

    [...cut...]
     

    You either need to update your system to get the
    newer /etc/rc.d/cleartmp, or do manually what
    is done in there at the bottom of the script:

    x11_socket_dirs="/tmp/.X11-unix /tmp/.ICE-unix \
    /tmp/.font-unix /tmp/.XIM-unix"

    # Create socket directories with correct permissions
    # to avoid security problem.
    rm -fr ${x11_socket_dirs}
    mkdir -m 1777 ${x11_socket_dirs}


    ---
    Rob.



    __________________________________
    Do you Yahoo!?
    Yahoo! Small Business - Try our new resources site!
    http://smallbusiness./resources/
    Rob Guest

  3. #3

    Default Re: xfce4 error

    Matt Juszczak wrote: 

    Maybe the following from /usr/ports/UPDATING can help?

    |20050126:
    | AFFECTS: users of x11-wm/xfce4
    | AUTHOR: org
    |
    | If you use Xorg 6.8.1: Make shure there is an /tmp/.ICE-unix with
    | propper rights. For further informations about that, please refer to
    | 2004122
    | Please update all your plugins as well when you update from 4.0.6 to
    | 4.2. They all need recompiling to link against the new xfce libraries

    Cheers, Martin
    J. Guest

  4. #4

    Default Re: xfce4 error

    I should read more. Thanks. :)

    J. Martin Petersen wrote:
     
    >
    >
    > Maybe the following from /usr/ports/UPDATING can help?
    >
    > |20050126:
    > | AFFECTS: users of x11-wm/xfce4
    > | AUTHOR: org
    > |
    > | If you use Xorg 6.8.1: Make shure there is an /tmp/.ICE-unix with
    > | propper rights. For further informations about that, please refer to
    > | 2004122
    > | Please update all your plugins as well when you update from 4.0.6 to
    > | 4.2. They all need recompiling to link against the new xfce libraries
    >
    > Cheers, Martin
    > _______________________________________________
    > org mailing list
    > http://lists.freebsd.org/mailman/listinfo/freebsd-questions
    > To unsubscribe, send any mail to
    > "org"
    >
    >
    > !DSPAM:4243cd6916672801758732![/ref]


    Matt Guest

Similar Threads

  1. remove all xfce4
    By T.F. in forum FreeBSD
    Replies: 3
    Last Post: March 25th, 10:57 PM
  2. Replies: 0
    Last Post: November 10th, 05:24 PM
  3. Help with starting XFce4 from KDM login
    By 4seasonphoto in forum Linux Setup, Configuration & Administration
    Replies: 3
    Last Post: July 20th, 12:25 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139